Skip to main content
`Ctrl`+`K`

# DMPlexCreateReferenceCell

Create a `DMPLEX` with the appropriate FEM reference cell

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexCreateReferenceCell(MPI_Comm comm, DMPolytopeType ct, DM *refdm)

Collective

## Input Parameters

- comm - The communicator

- ct - The cell type of the reference cell

## Output Parameter

- refdm - The reference cell

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreateBoxMesh()`

## Level

intermediate

## Location

src/dm/impls/plex/plexcreate.c

## Examples

src/dm/dt/dualspace/impls/lagrange/tutorials/ex1.c

## Implementations

DMPlexCreateReferenceCell_Internal() in src/dm/impls/plex/plexcreate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages